from collective import dexteritytextindexer
from zope.component import adapts
from zope.interface import implementer

from retrans.poi.content.issue import IIssue


@implementer(dexteritytextindexer.IDynamicTextIndexExtender)
class SearchableTextExtender(object):
    adapts(IIssue)

    def __init__(self, context):
        self.context = context

    def __call__(self):
        # add issue id to searchable text
        return self.context.id
